## portslave 2010.04.19.1ubuntu1

=== src/tacc/Makefile ===
# Generated automatically from Makefile.in by configure.

CC       = gcc
CFLAGS = -O2  -Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic -ffor-scope ${EXTRA_CFLAGS}

ALL:	tacc.a

TACCSRC = attrib.c authen_r.c authen_s.c author_r.c author_s.c messages.c connect.c
TACCOBJS = $(TACCSRC:.c=.o)

tacc.a: $(TACCOBJS)
	$(CC) -shared $(CFLAGS) -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) -fPIC -DPIC -c -o $@ $<

clean:
		rm -f *~ *.o *.a

dep:
	-makedepend -Y -f depends *.c 2> /dev/null

include depends
