## portslave 2002.01.19

=== debian/changelog ===
portslave (2002.01.19) unstable; urgency=low

  * Added "%M" for multilink pppd option.

  * More changes related to removing support for ppp 2.4.0.

 -- Russell Coker <russell@coker.com.au>  Sat, 19 Jan 2002 16:33:00 +0100

portslave (2002.01.12) unstable; urgency=low

  * Remove support for ppp 2.4.0.

 -- Russell Coker <russell@coker.com.au>  Sat, 12 Jan 2002 21:02:00 +0100

portslave (2002.01.10) unstable; urgency=low

  * Made it not SEGV when DNS is down.

  * Changed some variable names to work with the next version of pppd.

 -- Russell Coker <russell@coker.com.au>  Thu, 10 Jan 2002 21:40:00 +0100

portslave (2001.12.28) unstable; urgency=low

  * Improved support for setting variables in chat script.

 -- Russell Coker <russell@coker.com.au>  Fri, 28 Dec 2001 00:10:00 +0100

portslave (2001.12.27) unstable; urgency=low

  * Added CLI support and changed the way that the initchat is parsed.  This
    breaks old pslave.conf files.

  * Fixed a bug in ctlportslave so that it will clear old data from memory
    before displaying the logged on users (necessary for "cshow who").

  * Stopped it using spaces in the Acct-Session-Id attribute.

 -- Russell Coker <russell@coker.com.au>  Thu, 27 Dec 2001 02:10:00 +0100

portslave (2001.12.16) unstable; urgency=low

  * Tidied up the debian/rules file.

  * Made it compile with older headers for the sockaddr_in code if you don't
    enable IPv6.

  * Made it compile with ppp*.tgz in the current directory as well as in the
    parent directory.

  * Fixed the callback patch.  It compiles now - I can't test it though...

  * Added a patch to create potato packages to the docs directory.

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Dec 2001 14:36:00 +0100

portslave (2001.12.11-1) unstable; urgency=low

  * Made the programs have the right version number.

  * Made it depend on the latest ppp Debian package.

 -- Russell Coker <russell@coker.com.au>  Tue, 11 Dec 2001 11:35:00 +0100

portslave (2001.12.11) unstable; urgency=low

  * Made the Acct-Session-Id aqttribute be sent in access-request packets as
    well as accounting.  This may make it easier for some people to manage
    accounting.  Made the Acct-Session-Id by default be the system time in
    seconds * 64K + the low 16bits of the PID in hex.  Previously the
    decimal representation of the PID was merely appended to the decimal
    representation of the time, this meant that more space was taken up, and
    the session ids didn't always increase.

  * Added logcheck files.

  * Fixed a bug in ctlportslave that caused a buffer overflow on utmp parsing
    and a SEGV.

 -- Russell Coker <russell@coker.com.au>  Tue, 11 Dec 2001 10:38:00 +0100

portslave (2001.11.25) unstable; urgency=low

  * Added a patch from Cyclades for shadow password support.  Also added
    support for MD5 hashed passwords.

  * Stopped warnings when unused port definitions reference non-existant
    devices.

  * Added a real bool type to the source.  Makes the code clearer.

  * Started work on CID.

  * Added support for gethostbyname2() for IPv6.  Not fully tested but works
    better than the previous code that broke gethostbyname() for IPv4.

 -- Russell Coker <russell@coker.com.au>  Sun, 25 Nov 2001 13:11:00 +0100

portslave (2001.11.18) unstable; urgency=low

  * Forced to change the syntax of hostname-service type for IPv6 support.
    Now use [a.b.c.d]port format.

  * IPv6 might even work.  I have it sending RADIUS packets to ::1, now I need
    an IPv6 RADIUS server...

 -- Russell Coker <russell@coker.com.au>  Sun, 18 Nov 2001 21:45:00 +0100

portslave (2001.11.17) unstable; urgency=low

  * Made location an enum type.

  * Made the Debian package depend on the latest woody version.

  * Stopped the double messages about authentication failure.

  * Added a pppd patch for persistant IPv6 addresses.

  * Started work on IPv6 support.  Use ./configure --enable-ipv6 to compile
    with it.  It currently doesn't compile with IPv6 enabled...

  * Changed the parsing code to remove the remnants of the old way of doing it.
    Makes the code more readable.

 -- Russell Coker <russell@coker.com.au>  Sat, 17 Nov 2001 18:37:00 +0100

portslave (2001.11.11) unstable; urgency=low

  * Added new config directive for DCD related setting "%d".

  * Fixed a bug with rlogin/ssh where Portslave tried to connect to 0.0.0.0.

 -- Russell Coker <russell@coker.com.au>  Sun, 11 Nov 2001 20:18:00 +0100

portslave (2001.11.08) unstable; urgency=low

  * Adds more serial error checking and streamlined the default config file.

  * Made the default config file not allow locallogins!  Also made the logging
    clearer.

  * The last version was broken badly, it never asked as a password (so any
    account with a password was unusable ;).  Also ports were always
    recognised as port 0 for "portslave -" and by libpsr.  It was only a
    development release anyway.

  * Made the error message be displayed on authentication failure, and fixed
    a potential SEGV in the failure message code.

  * Synchronised the patches with the latest Debian package.

 -- Russell Coker <russell@coker.com.au>  Thu,  8 Nov 2001 18:31:00 +0100

portslave (2001.11.05) unstable; urgency=low

  * Ran flawchecker to check for potential security problems.  Now use
    /dev/urandom for random authentication vectors.  Also tightened up some
    potentially nasty code in syslog.c and ctlportslave.  The /dev/urandom
    change fixes a potential attack, the others just prevent SEGVs.

  * Added a ./configure option for enabling the IP address assignment.  Also
    fixed a couple of minor IP assignment related bugs that crept in when
    merging the patch.

  * Removed README.NET and moved the data into portslave(8).

  * Merged in more code from Cyclades.

  * Made "s{32-63}.tty tts/C{0-31}" be a valid type of config syntax.

 -- Russell Coker <russell@coker.com.au>  Mon,  5 Nov 2001 20:03:00 +0100

portslave (2001.11.01) unstable; urgency=low


