=== debian/control ===
Source: portslave
Section: comm
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Build-Depends: debhelper, xutils
Standards-Version: 3.5.6

Package: portslave
Architecture: any
Depends: ${shlibs:Depends}, ppp (= 2.4.1.uus-4)
Description: Terminal server that does PPP and authenticates via RADIUS
 This package provides a program named portslave which will use AT commands
 to answer a modem when it rings. It will then display a login: prompt at
 which the user can enter a user-name and password. If the user sends PPP
 data then portslave will run it's own pppd instead and authenticate the user
 via PAP. When the user-name and password are received they will be verified
 via a RADIUS server.
 .
 At the end of the call the accounting data will be written to the RADIUS
 server.
