=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3
export PKGDIR=`pwd`/debian/portslave

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr --mandir=/usr/share/man --with-pppdir=ppp-2.4.1 --sysconfdir=/etc/portslave --with-pppdradius=/usr/sbin/pppd --enable-ipv6 --enable-shadow
	rm -rf ppp-2.4.1
	mkdir -p ppp-2.4.1/pppd
	cp debian/ppp-2.4.1-headers/*.h ppp-2.4.1/pppd
	cp debian/ppp-2.4.1-headers/Makefile.linux ppp-2.4.1/pppd

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/portslave-2000-11.sgml > portslave-2000-11.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) deb-install INST_PREFIX=$(PKGDIR)
	mv $(PKGDIR)/etc/portslave/pslave.conf.sample $(PKGDIR)/etc/portslave/pslave.conf
	mkdir -p $(PKGDIR)/usr/share/lintian/overrides
	cp debian/lintian $(PKGDIR)/usr/share/lintian/overrides/portslave


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs docs/*
	mv $(PKGDIR)/usr/share/doc/portslave/LICENSE $(PKGDIR)/usr/share/doc/portslave/copyright
	mv $(PKGDIR)/usr/share/doc/portslave/logcheck $(PKGDIR)/etc/logcheck/ignore.d.server/portslave
	mv $(PKGDIR)/usr/share/doc/portslave/logcheck.pppd $(PKGDIR)/etc/logcheck/ignore.d.server/portslave.pppd
	dh_installexamples
	dh_installmenu
#	dh_installpam
#	dh_installinit
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chmod 640 $(PKGDIR)/etc/portslave/pslave.conf
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
