## portslave 2004.03.26

=== debian/changelog ===
portslave (2004.03.26) unstable; urgency=low

  * Build-depends on ppp-dev.
    Closes: #240156

  * Changed the version number as reported by the programs.

  * Note that the previous version totally disabled CHAP support (the previous
    changelog entry did not clearly state this).

 -- Russell Coker <russell@coker.com.au>  Fri, 26 Mar 2004 12:53:00 +1100

portslave (2004.03.21) unstable; urgency=low

  * Added an option to disable chap as the latest Debian ppp package has
    changed the CHAP hooks and I can't work out how to get it going again.

 -- Russell Coker <russell@coker.com.au>  Sun, 21 Mar 2004 22:37:00 +1100

portslave (2002.10.21) unstable; urgency=low

  * Fixed a bug in ./configure .

 -- Russell Coker <russell@coker.com.au>  Mon, 21 Oct 2002 06:39:00 +0200

portslave (2002.10.16) unstable; urgency=low

  * Added support for limiting the answer times.

 -- Russell Coker <russell@coker.com.au>  Wed, 16 Oct 2002 23:04:00 +0200

portslave (2002.09.17) unstable; urgency=low

  * New version that depends on libradius1.

  * Made "ssh" refer to version 2, and "ssh1" be the keyword for ssh V 1.x.

  * Fixed many trivial warnings about function parameters not being used.

  * Merged in FIDO support - haven't tested it yet.
    Author: Andy Pershin <apa@penza.com.ru>
    Adapted for recent versions by Dmitry Sergienko <trooper@mail.unity.net>

  * Made rlogin use options "-8" and "-E".

  * Added CHAP support.

 -- Russell Coker <russell@coker.com.au>  Tue, 17 Sep 2002 00:24:00 +0200
