=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: comm
 Priority: optional
 Maintainer: Russell Coker <russell@coker.com.au>
-Build-Depends: debhelper, xutils
+Build-Depends: debhelper, xutils, libradius1-dev, ppp-dev
 Standards-Version: 3.5.6
 
 Package: portslave
 Architecture: any
-Depends: ${shlibs:Depends}, ppp (= 2.4.1.uus-4)
+Depends: ${shlibs:Depends}, ppp (>= 2.4.1.uus-4), radiusclient1
 Description: Terminal server that does PPP and authenticates via RADIUS
  This package provides a program named portslave which will use AT commands
  to answer a modem when it rings. It will then display a login: prompt at
