=== debian/rules ===
--- 
+++ 
@@ -13,11 +13,10 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --prefix=/usr --mandir=/usr/share/man --with-pppdir=ppp-2.4.1 --sysconfdir=/etc/portslave --with-pppdradius=/usr/sbin/pppd --enable-ipv6 --enable-shadow
+	./configure --prefix=/usr --mandir=/usr/share/man --with-pppdir=ppp-2.4.1 --sysconfdir=/etc/portslave --with-pppdradius=/usr/sbin/pppd --enable-ipv6 --enable-shadow --with-radclient-cfg=/etc/radiusclient/radiusclient.conf
 	rm -rf ppp-2.4.1
 	mkdir -p ppp-2.4.1/pppd
-	cp debian/ppp-2.4.1-headers/*.h ppp-2.4.1/pppd
-	cp debian/ppp-2.4.1-headers/Makefile.linux ppp-2.4.1/pppd
+	cp debian/pppd-Makefile.linux ppp-2.4.1/pppd/Makefile.linux
 
 	touch configure-stamp
 
@@ -26,7 +25,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) EXTRA_CFLAGS="-DNO_CHAP -I/usr/include/net"
 	#/usr/bin/docbook-to-man debian/portslave-2000-11.sgml > portslave-2000-11.1
 
 	touch build-stamp
