## portslave 2005.04.03

=== debian/changelog ===
portslave (2005.04.03) unstable; urgency=high

  * Renamed the logcheck config file from portslave.pppd to portslave-pppd to
    fit with the new naming convention.

  * Made it build with the latest ppp.

 -- Russell Coker <russell@coker.com.au>  Sun,  4 Apr 2005 23:40:00 +1000
