=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: portslave
 Architecture: any
-Depends: ${shlibs:Depends}, ppp (>= 2.4.1.uus-4), radiusclient1
+Depends: ${shlibs:Depends}, ppp (>= 2.4.3-20050321), radiusclient1
 Description: Terminal server that does PPP and authenticates via RADIUS
  This package provides a program named portslave which will use AT commands
  to answer a modem when it rings. It will then display a login: prompt at
