=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) EXTRA_CFLAGS="-DNO_CHAP -I/usr/include/net"
+	$(MAKE) EXTRA_CFLAGS="-DNO_CHAP -I/usr/include/pppd"
 	#/usr/bin/docbook-to-man debian/portslave-2000-11.sgml > portslave-2000-11.1
 
 	touch build-stamp
@@ -66,7 +66,7 @@
 	dh_installdocs docs/*
 	mv $(PKGDIR)/usr/share/doc/portslave/LICENSE $(PKGDIR)/usr/share/doc/portslave/copyright
 	mv $(PKGDIR)/usr/share/doc/portslave/logcheck $(PKGDIR)/etc/logcheck/ignore.d.server/portslave
-	mv $(PKGDIR)/usr/share/doc/portslave/logcheck.pppd $(PKGDIR)/etc/logcheck/ignore.d.server/portslave.pppd
+	mv $(PKGDIR)/usr/share/doc/portslave/logcheck.pppd $(PKGDIR)/etc/logcheck/ignore.d.server/portslave-pppd
 	dh_installexamples
 	dh_installmenu
 #	dh_installpam
