## portslave 2005.04.03.1

=== debian/changelog ===
portslave (2005.04.03.1) unstable; urgency=high

  * Rebuild to work with the latest pppd.

 -- Russell Coker <russell@coker.com.au>  Thu, 31 Jul 2008 22:27:41 +1000
