## portslave 2010.04.19

=== debian/changelog ===
portslave (2010.04.19) unstable; urgency=low

  * Fixed the "clean" target, should now build on other architectures.

 -- Russell Coker <russell@coker.com.au>  Mon, 19 Apr 2010 07:25:43 +1000

portslave (2010.03.30) unstable; urgency=low

  * Update Debhelper compatability to 7.
  * Don't needlessly link against libcrypt.
  * Remove postinst code to handle pre-lenny config file upgrades.
    Closes: #553290
  * Built against the latest ppp package.
    Closes: #473080
  * s/it's/its/ in description.
    Closes: #435680, #268539
  * Don't depend on xutils.
    Closes: #575854
  * Fixed all bugs, it's in use and important to some people, let's keep it in
    Debian.
    Closes: #559254

 -- Russell Coker <russell@coker.com.au>  Tue, 30 Mar 2010 11:21:00 +1100
