=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: comm
 Priority: optional
 Maintainer: Russell Coker <russell@coker.com.au>
-Build-Depends: debhelper, xutils, libradius1-dev, ppp-dev
+Build-Depends: debhelper, libradius1-dev, ppp-dev
 Standards-Version: 3.5.6
 
 Package: portslave
@@ -12,7 +12,7 @@
  This package provides a program named portslave which will use AT commands
  to answer a modem when it rings. It will then display a login: prompt at
  which the user can enter a user-name and password. If the user sends PPP
- data then portslave will run it's own pppd instead and authenticate the user
+ data then portslave will run its own pppd instead and authenticate the user
  via PAP. When the user-name and password are received they will be verified
  via a RADIUS server.
  .
