## portslave 2010.04.19ubuntu1

=== debian/changelog ===
portslave (2010.04.19ubuntu1) precise; urgency=low

  * Link library with -lcrypt to fix FTBFS.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 31 Dec 2011 11:50:01 +0400
