## portslave 2010.04.19.1

=== debian/changelog ===
portslave (2010.04.19.1) unstable; urgency=high

  * Needs to be recompiled to work with the wheezy pppd.  High urgency because
    it currently entirely fails to work.
    Closes: #679603

 -- Russell Coker <russell@coker.com.au>  Sat, 30 Jun 2012 17:05:33 +1000
