=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: portslave
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Russell Coker <russell@coker.com.au>
 Build-Depends: debhelper, libradius1-dev, ppp-dev
 Standards-Version: 3.5.6
 
 Package: portslave
 Architecture: any
-Depends: ${shlibs:Depends}, ppp (>= 2.4.4rel-10), radiusclient1
+Depends: ${shlibs:Depends}, ppp (>= 2.4.5-5.1), radiusclient1
 Description: Terminal server that does PPP and authenticates via RADIUS
  This package provides a program named portslave which will use AT commands
  to answer a modem when it rings. It will then display a login: prompt at
