## portslave 2010.04.19.1ubuntu1

=== debian/changelog ===
portslave (2010.04.19.1ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1079649).  Remaining changes:
    - Link library with -lcrypt to fix FTBFS.

 -- Vibhav Pant <vibhavp@gmail.com>  Sat, 17 Nov 2012 13:04:38 +0100
